<?php



use Doctrine\ORM\Mapping as ORM;

/**
 * Groupe
 *
 * @ORM\Table(name="groupe")
 * @ORM\Entity
 */
class Groupe
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string $libelle
     *
     * @ORM\Column(name="libelle", type="string", length=50, nullable=false)
     */
    private $libelle;

    /**
     * @var \Doctrine\Common\Collections\ArrayCollection
     *
     * @ORM\ManyToMany(targetEntity="Module", inversedBy="idgroupe")
     * @ORM\JoinTable(name="droit",
     *   joinColumns={
     *     @ORM\JoinColumn(name="idGroupe", referencedColumnName="id")
     *   },
     *   inverseJoinColumns={
     *     @ORM\JoinColumn(name="idModule", referencedColumnName="id")
     *   }
     * )
     */
    private $idmodule;

    public function __construct()
    {
        $this->idmodule = new \Doctrine\Common\Collections\ArrayCollection();
    }
    
    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set libelle
     *
     * @param string $libelle
     * @return Groupe
     */
    public function setLibelle($libelle)
    {
        $this->libelle = $libelle;
        return $this;
    }

    /**
     * Get libelle
     *
     * @return string 
     */
    public function getLibelle()
    {
        return $this->libelle;
    }

    /**
     * Add idmodule
     *
     * @param Module $idmodule
     * @return Groupe
     */
    public function addModule(\Module $idmodule)
    {
        $this->idmodule[] = $idmodule;
        return $this;
    }
    public function delModule(\Module $idmodule)
    {
    	$module = $this->getIdmodule();
    	$module1=array();
    	foreach ($module as $modul)
    	{
    		if($modul!=$idmodule)
    		{
    			$module1[]=$modul;
    		}
    	}
    	$this-> idmodule =$module1;
    }

    /**
     * Get idmodule
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getIdmodule()
    {
        return $this->idmodule;
    }
}