<?php



use Doctrine\ORM\Mapping as ORM;

/**
 * Message
 *
 * @ORM\Table(name="message")
 * @ORM\Entity
 */
class Message
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string $objet
     *
     * @ORM\Column(name="objet", type="string", length=255, nullable=true)
     */
    private $objet;

    /**
     * @var text $contenu
     *
     * @ORM\Column(name="contenu", type="text", nullable=true)
     */
    private $contenu;

    /**
     * @var date $dateenvoi
     *
     * @ORM\Column(name="dateEnvoi", type="date", nullable=true)
     */
    private $dateenvoi;

    /**
     * @var Utilisateur
     *
     * @ORM\OneToOne(targetEntity="Utilisateur")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="idUtilisateur", referencedColumnName="id", unique=true)
     * })
     */
    private $idutilisateur;

    /**
     * @var Report
     *
     * @ORM\OneToOne(targetEntity="Report")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="idReport", referencedColumnName="id", unique=true)
     * })
     */
    private $idreport;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set objet
     *
     * @param string $objet
     * @return Message
     */
    public function setObjet($objet)
    {
        $this->objet = $objet;
        return $this;
    }

    /**
     * Get objet
     *
     * @return string 
     */
    public function getObjet()
    {
        return $this->objet;
    }

    /**
     * Set contenu
     *
     * @param text $contenu
     * @return Message
     */
    public function setContenu($contenu)
    {
        $this->contenu = $contenu;
        return $this;
    }

    /**
     * Get contenu
     *
     * @return text 
     */
    public function getContenu()
    {
        return $this->contenu;
    }

    /**
     * Set dateenvoi
     *
     * @param date $dateenvoi
     * @return Message
     */
    public function setDateenvoi($dateenvoi)
    {
        $this->dateenvoi = $dateenvoi;
        return $this;
    }

    /**
     * Get dateenvoi
     *
     * @return date 
     */
    public function getDateenvoi()
    {
        return $this->dateenvoi;
    }

    /**
     * Set idutilisateur
     *
     * @param Utilisateur $idutilisateur
     * @return Message
     */
    public function setIdutilisateur(\Utilisateur $idutilisateur = null)
    {
        $this->idutilisateur = $idutilisateur;
        return $this;
    }

    /**
     * Get idutilisateur
     *
     * @return Utilisateur 
     */
    public function getIdutilisateur()
    {
        return $this->idutilisateur;
    }

    /**
     * Set idreport
     *
     * @param Report $idreport
     * @return Message
     */
    public function setIdreport(\Report $idreport = null)
    {
        $this->idreport = $idreport;
        return $this;
    }

    /**
     * Get idreport
     *
     * @return Report 
     */
    public function getIdreport()
    {
        return $this->idreport;
    }
}