<?php



use Doctrine\ORM\Mapping as ORM;

/**
 * Page
 *
 * @ORM\Table(name="page")
 * @ORM\Entity
 */
class Page
{
    /**
     * @var integer $idpage
     *
     * @ORM\Column(name="idPage", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idpage;

    /**
     * @var string $libelle
     *
     * @ORM\Column(name="libelle", type="string", length=100, nullable=true)
     */
    private $libelle;

    /**
     * @var string $controleur
     *
     * @ORM\Column(name="controleur", type="string", length=255, nullable=true)
     */
    private $controleur;

    /**
     * @var Module
     *
     * @ORM\OneToOne(targetEntity="Module")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="idModule", referencedColumnName="id", unique=true)
     * })
     */
    private $idmodule;


    /**
     * Get idpage
     *
     * @return integer 
     */
    public function getIdpage()
    {
        return $this->idpage;
    }

    /**
     * Set libelle
     *
     * @param string $libelle
     * @return Page
     */
    public function setLibelle($libelle)
    {
        $this->libelle = $libelle;
        return $this;
    }

    /**
     * Get libelle
     *
     * @return string 
     */
    public function getLibelle()
    {
        return $this->libelle;
    }

    /**
     * Set controleur
     *
     * @param string $controleur
     * @return Page
     */
    public function setControleur($controleur)
    {
        $this->controleur = $controleur;
        return $this;
    }

    /**
     * Get controleur
     *
     * @return string 
     */
    public function getControleur()
    {
        return $this->controleur;
    }

    /**
     * Set idmodule
     *
     * @param Module $idmodule
     * @return Page
     */
    public function setIdmodule(\Module $idmodule = null)
    {
        $this->idmodule = $idmodule;
        return $this;
    }

    /**
     * Get idmodule
     *
     * @return Module 
     */
    public function getIdmodule()
    {
        return $this->idmodule;
    }
}