<?php



use Doctrine\ORM\Mapping as ORM;

/**
 * Utilisateur
 *
 * @ORM\Table(name="utilisateur")
 * @ORM\Entity
 */
class Utilisateur
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string $login
     *
     * @ORM\Column(name="login", type="string", length=30, nullable=false)
     */
    private $login;

    /**
     * @var string $password
     *
     * @ORM\Column(name="password", type="string", length=40, nullable=false)
     */
    private $password;

    /**
     * @var string $mail
     *
     * @ORM\Column(name="mail", type="string", length=255, nullable=false)
     */
    private $mail;

    /**
     * @var Groupe
     *
     * @ORM\OneToOne(targetEntity="Groupe")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="idGroupe", referencedColumnName="id", unique=true)
     * })
     */
    private $idgroupe;

    /**
     * @var \Doctrine\Common\Collections\ArrayCollection
     *
     * @ORM\ManyToMany(targetEntity="Application", mappedBy="idutilisateur")
     */
    private $idapplication;

    public function __construct()
    {
        $this->idapplication = new \Doctrine\Common\Collections\ArrayCollection();
    }
    
    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set login
     *
     * @param string $login
     * @return Utilisateur
     */
    public function setLogin($login)
    {
        $this->login = $login;
        return $this;
    }

    /**
     * Get login
     *
     * @return string 
     */
    public function getLogin()
    {
        return $this->login;
    }

    /**
     * Set password
     *
     * @param string $password
     * @return Utilisateur
     */
    public function setPassword($password)
    {
        $this->password = $password;
        return $this;
    }

    /**
     * Get password
     *
     * @return string 
     */
    public function getPassword()
    {
        return $this->password;
    }

    /**
     * Set mail
     *
     * @param string $mail
     * @return Utilisateur
     */
    public function setMail($mail)
    {
        $this->mail = $mail;
        return $this;
    }

    /**
     * Get mail
     *
     * @return string 
     */
    public function getMail()
    {
        return $this->mail;
    }

    /**
     * Set idgroupe
     *
     * @param Groupe $idgroupe
     * @return Utilisateur
     */
    public function setIdgroupe(\Groupe $idgroupe = null)
    {
        $this->idgroupe = $idgroupe;
        return $this;
    }

    /**
     * Get idgroupe
     *
     * @return Groupe 
     */
    public function getIdgroupe()
    {
        return $this->idgroupe;
    }

    /**
     * Add idapplication
     *
     * @param Application $idapplication
     * @return Utilisateur
     */
    public function addApplication(\Application $idapplication)
    {
        $this->idapplication[] = $idapplication;
        return $this;
    }
    public function delApplication(\Application $idapplication)
    {
    	$app = array();
    	foreach ($this->idapplication as $application)
    	{
    		if($idapplication != $application)
    		{
    			$app[]=$application;
    		}
    	}
    	$this->idapplication = $app;
    	return $this;
    }

    /**
     * Get idapplication
     *
     * @return Doctrine\Common\Collections\Collection 
     */
    public function getIdapplication()
    {
        return $this->idapplication;
    }
}